# -*- coding: utf-8 -*-

import logging

from simplebbs.lib.base import *
from pylons.decorators import jsonify
import sqlalchemy

log = logging.getLogger(__name__)

class BbsController(BaseController):

    def index(self):
        # 最新メッセージ２０件のメッセージをデータベースから選択
        query = model.Session.query(model.Bulletin)
        order_query = query.order_by(sqlalchemy.sql.desc(model.Bulletin.id))
        c.messages = order_query[:20]
        
        # テンプレートのレンダリング結果を返す
        return render("/main.mako")
    
    def save(self):
        # requestからCGIパラメータの抽出
        name = request.params.get("name")
        content = request.params.get("content")
        
        # フィールドが空の場合はエラーメッセージを表示
        if not name or not content:
            c.error = u"nameとmessageを入力してください"
            return self.index()
        
        try:
            # データベースに保存する
            bulletin = model.Bulletin()
            bulletin.name = name
            bulletin.content = content
            
            model.Session.save(bulletin)
            model.Session.commit()
        except Exception, e:
            # エラーが発生したらロールバックする
            log.error(e)
            model.Session.rollback()
            c.error = e.message
        
        return self.index()

    @jsonify
    def messages(self):
        # 最新メッセージ２０件のメッセージをデータベースから選択
        query = model.Session.query(model.Bulletin)
        order_query = query.order_by(sqlalchemy.sql.desc(model.Bulletin.id))
        messages = order_query[:20]
        
        # メッセージをsimplejsonが理解できる形式に変換
        return [dict(created=m.created.ctime(), name=m.name, content=m.content) for m in messages]
        
