from datetime import datetime
from pylons import config
from sqlalchemy import Column, MetaData, Table, types
from sqlalchemy.orm import mapper
from sqlalchemy.orm import scoped_session, sessionmaker

Session = scoped_session(sessionmaker(autoflush=True, transactional=True,
                                      bind=config['pylons.g'].sa_engine))

metadata = MetaData()

bulletin_table = Table('bulletin', metadata,
    Column('id', types.Integer, primary_key=True),
    Column('name', types.Unicode(40), default='Anonymous'),
    Column('content', types.Unicode(), default=''),
    Column("created", types.DateTime, default=datetime.now)
)

class Bulletin(object):
    pass

mapper(Bulletin, bulletin_table)
